package hierarchydisplay;

import shapes.AllShapes;
import companydisplay.CompanyHierarchyDisplay;

/**
 * This team makes the connections rectangular.
 */
public team class VersionA 
{
    private final CompanyHierarchyDisplay _chd;
    
    public VersionA(CompanyHierarchyDisplay chd) {
    	_chd = chd;
    }
    
    public class RectangularConnections playedBy Connection<@_chd> 
	{
        final AllShapes _shapesX = _chd._shapes;

        /**
         * Changes the connections to rectangular. 
         */
        @SuppressWarnings("basecall")
		callin void changeConnections() {
            setShape(new RectangularConnector<@_shapesX>(
		            		getParent().getShape(), 
							getChild().getShape()));
        }
        changeConnections <- replace initShape;

        abstract void setShape(RectangularConnector<@_shapesX> shape);
        abstract Connector<@_shapesX> getShape();
        abstract CompositeNode<@_chd> getParent();
        abstract Node<@_chd> getChild();
       
        setShape -> set connShape;
        getShape -> get connShape;
        getParent-> get parent;
        getChild -> get child;
        
        

    }
}
