package hierarchydisplay;

import companydisplay.CompanyHierarchyDisplay;
import util.Point;

/**
 *  This team adjusts the rectangles' size.
 */
public team class VersionB {
	protected int _maxWidth = 0;

	private final CompanyHierarchyDisplay _chd;
	
	public VersionB(CompanyHierarchyDisplay chd) {
		_chd = chd;
	}

	public class AdjustedTextFields playedBy Node<@_chd> 
	{
		callin boolean changeFit(String text) {
			return calcTextWidth(text) < _maxWidth;
		}
        changeFit      <- replace textFits;

		callin void changePosition(Point pt, int maxWidth) {
			_maxWidth = maxWidth;
			initShape(pt, calcTextWidth(getText()));
		}
        changePosition <- replace positionNode;

        
        String getText()                -> String getText();
        int calcTextWidth(String text)  -> int calcTextWidth(String text);
        void initShape(Point pt, int i) -> void initShape(Point pt, int width);
	}
}